#1
  1. No Profile Picture
    Junior Member
    Devshed Newbie (0 - 499 posts)

    Join Date
    Aug 2003
    Location
    France / Finland
    Posts
    13
    Rep Power
    0

    [Linux] Can I create one???


    Hello,

    I have linux on my computer and use a lot emails...
    My email software allow the use of an LDAP server, and it makes me wonder if I can install one on to my computer as I done with mysql to design my website...

    Any idea???

    thxs in advance
    Coume
  2. #2
  3. Psycho Canadian
    Devshed Demi-God (4500 - 4999 posts)

    Join Date
    Jan 2001
    Location
    Canada
    Posts
    4,846
    Rep Power
    635
    Yes you should be able to, if you look at OpenLDAP.org you can download from there.
    Here is the quickstart guide to help you along Quick Start Guide

    Once installed or if you have problems, just post back.
  4. #3
  5. No Profile Picture
    Junior Member
    Devshed Newbie (0 - 499 posts)

    Join Date
    Aug 2003
    Location
    France / Finland
    Posts
    13
    Rep Power
    0
    Thxs!

    I'll test that out tonight and let you now, if I suceed!!

    Regards
    Coume
  6. #4
  7. No Profile Picture
    Junior Member
    Devshed Newbie (0 - 499 posts)

    Join Date
    Aug 2003
    Location
    France / Finland
    Posts
    13
    Rep Power
    0
    Hello,

    I cannot get it working here is the error that I get when I try to configure it...
    checking number of arguments of ctime_r... 2
    checking number of arguments of gethostbyname_r... 6
    checking number of arguments of gethostbyaddr_r... 8
    checking for db.h... yes
    checking for Berkeley DB link (default)... no
    checking for Berkeley DB link (-ldb41)... no
    checking for Berkeley DB link (-ldb-41)... no
    checking for Berkeley DB link (-ldb-4.1)... no
    checking for Berkeley DB link (-ldb-4-1)... no
    checking for Berkeley DB link (-ldb-4)... no
    checking for Berkeley DB link (-ldb4)... no
    checking for Berkeley DB link (-ldb)... yes
    checking for Berkeley DB thread support... yes
    checking Berkeley DB version for BDB backend... no
    configure: error: BDB: BerkeleyDB version incompatible
    Any idea what does that means? And how I can overpass them??

    thxs in advance
    Ludo
  8. #5
  9. Psycho Canadian
    Devshed Demi-God (4500 - 4999 posts)

    Join Date
    Jan 2001
    Location
    Canada
    Posts
    4,846
    Rep Power
    635
    You need to get BDB 4.1.25 (plus patches) and install that for OpenLDAP 2.1 to use.

    Taken from http://www.openldap.org/lists/openld.../msg00568.html

    Berkeley DB 4.1.25

    4.1.25 Patch
    Last edited by Viper_SB; August 14th, 2003 at 11:46 AM.

IMN logo majestic logo threadwatch logo seochat tools logo